Uploaded image for project: 'Coopr'
  1. Coopr
  2. COOPR-775

Azure plugin: Ensure fog-azure.gemspec does not prevent the plugin from running compute commands

    Details

    • Type: Task
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: plugins
    • Labels:
      None
    • Rank:
      1|hzyybb:

      Description

      fog azure's version is 0.1
      It has two major issues:

      • very poor documentation (completely wrong in some cases, e.g. correct use of azure.servers.get command)
      • it has been mostly tested from a developer's mindset.
        In this case, the azure fog gemspec has azure as a developer dependency, not an actual dependency, which causes compute API commands to Azure to fail.

      This:
      spec.add_development_dependency('azure', '~>0.6')

      needs to be changed to this:
      spec.add_dependency 'azure', '~>0.6'

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                nitin Nitin Motgi
                Reporter:
                dbajot David Bajot
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated: